(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', './lib/apiClient.js', './lib/createApiMiddleware', './lib/createApiActions', './lib/createApiHandler'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('./lib/apiClient.js'), require('./lib/createApiMiddleware'), require('./lib/createApiActions'), require('./lib/createApiHandler'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.apiClient, global.createApiMiddleware, global.createApiActions, global.createApiHandler);
    global.api = mod.exports;
  }
})(this, function (exports, _apiClient, _createApiMiddleware, _createApiActions, _createApiHandler) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  Object.defineProperty(exports, 'apiClient', {
    enumerable: true,
    get: function () {
      return _apiClient.apiClient;
    }
  });
  Object.defineProperty(exports, 'createApiMiddleware', {
    enumerable: true,
    get: function () {
      return _createApiMiddleware.createApiMiddleware;
    }
  });
  Object.defineProperty(exports, 'createApiAction', {
    enumerable: true,
    get: function () {
      return _createApiActions.createApiAction;
    }
  });
  Object.defineProperty(exports, 'api', {
    enumerable: true,
    get: function () {
      return _createApiActions.api;
    }
  });
  Object.defineProperty(exports, 'createApiHandler', {
    enumerable: true,
    get: function () {
      return _createApiHandler.createApiHandler;
    }
  });
  Object.defineProperty(exports, 'apiHandler', {
    enumerable: true,
    get: function () {
      return _createApiHandler.apiHandler;
    }
  });
});