(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', './lib/constants', './lib/createReducer', './lib/bindActionCreatorsToStore', './lib/createRootReducer'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('./lib/constants'), require('./lib/createReducer'), require('./lib/bindActionCreatorsToStore'), require('./lib/createRootReducer'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.constants, global.createReducer, global.bindActionCreatorsToStore, global.createRootReducer);
    global.index = mod.exports;
  }
})(this, function (exports, _constants, _createReducer, _bindActionCreatorsToStore, _createRootReducer) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  Object.defineProperty(exports, 'createConstants', {
    enumerable: true,
    get: function () {
      return _constants.createConstants;
    }
  });
  Object.defineProperty(exports, 'createReducer', {
    enumerable: true,
    get: function () {
      return _createReducer.createReducer;
    }
  });
  Object.defineProperty(exports, 'bindActionCreatorsToStore', {
    enumerable: true,
    get: function () {
      return _bindActionCreatorsToStore.bindActionCreatorsToStore;
    }
  });
  Object.defineProperty(exports, 'createRootReducer', {
    enumerable: true,
    get: function () {
      return _createRootReducer.createRootReducer;
    }
  });
});