(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'redux'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('redux'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.redux);
    global.bindActionCreatorsToStore = mod.exports;
  }
})(this, function (exports, _redux) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.bindActionCreatorsToStore = undefined;
  var bindActionCreatorsToStore = exports.bindActionCreatorsToStore = function bindActionCreatorsToStore(actions, store) {
    Object.keys(actions).forEach(function (k) {
      var theseActions = actions[k];

      var actionCreators = Object.keys(theseActions).reduce(function (sum, actionName) {
        // theseActions are each of the module actions which
        // we export from the `rootReducer.js` file (we'll create shortly)
        var fn = theseActions[actionName];
        // We'll bind them to the store
        sum[actionName] = fn.bind(store);
        return sum;
      }, {});

      // Using react-redux, we'll bind all these actions to the
      // store.dispatch
      actions[k] = (0, _redux.bindActionCreators)(actionCreators, store.dispatch);
    });

    return actions;
  };
});