(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', './constants'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('./constants'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.constants);
    global.createApiMiddleware = mod.exports;
  }
})(this, function (exports, _constants) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.createApiMiddleware = undefined;

  /*
   * Decorate the api actions with common handlers
   */
  var createApiMiddleware = exports.createApiMiddleware = function createApiMiddleware(baseOpts) {
    return function (store) {
      return function (next) {
        return function (action) {

          if (action.type === _constants.REDUX_MODULE_API_ACTION_KEY) {
            var _ref = action && action.meta || {};

            var fn = _ref.runFn;

            if (fn) {
              var res = fn(baseOpts);
              return res;
            }
          } else {
            return next(action);
          }
        };
      };
    };
  };

  exports.default = createApiMiddleware;
});