(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports);
    global.createReducer = mod.exports;
  }
})(this, function (exports) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  var createReducer = exports.createReducer = function createReducer(actionHandlers) {
    var initialState = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

    return function () {
      var state = arguments.length <= 0 || arguments[0] === undefined ? initialState : arguments[0];
      var action = arguments[1];

      var handler = actionHandlers[action.type];
      return handler ? handler(state, action) : state;
    };
  };
});