(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'redux'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('redux'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.redux);
    global.createRootReducer = mod.exports;
  }
})(this, function (exports, _redux) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.createRootReducer = undefined;


  var noop = function noop(r) {
    return r;
  }; // create root reducer
  var createRootReducer = exports.createRootReducer = function createRootReducer(modules) {
    var _ref = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

    var _ref$initialActions = _ref.initialActions;
    var initialActions = _ref$initialActions === undefined ? {} : _ref$initialActions;
    var _ref$initialInitialSt = _ref.initialInitialState;
    var initialInitialState = _ref$initialInitialSt === undefined ? {} : _ref$initialInitialSt;
    var _ref$initialReducers = _ref.initialReducers;
    var initialReducers = _ref$initialReducers === undefined ? {} : _ref$initialReducers;

    // Copies of initially passed in config objects
    var actions = Object.assign({}, initialActions);
    var initialState = Object.assign({}, initialInitialState);
    var reducers = Object.assign({}, initialReducers);

    Object.keys(modules).forEach(function (key) {
      var module = modules[key];

      initialState[key] = Object.assign({}, initialState[key] || {}, module.initialState || {});

      actions[key] = Object.assign({}, actions[key] || {}, module.actions || {});

      reducers[key] = module.reducer || noop;
    });

    return { initialState: initialState, actions: actions, reducers: reducers };
  };
  // const containers = {
  //   events: require('./modules/events'),
  //   currentEvent: require('./modules/currentEvent'),
  //   images: require('./modules/images'),
  //   users: require('./modules/users')
  // }
  // export let actions = {
  //   routing: {
  //     navigateTo: path => dispatch => dispatch(push(path))
  //   }
  // }
  //
  // export let initialState = {}
  // export let reducers = {routing};
  //
  // Object.keys(containers).forEach(key => {
  //   const container = containers[key];
  //   initialState[key] = container.initialState || {};
  //   actions[key] = container.actions;
  //   reducers[key] = container.reducer;
  // });
  //
  // export const rootReducer = combineReducers(reducers);
});